#
# spec file for package gaim (Version 0.50)
#
# Copyright (c) 2004 SuSE Linux AG, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://www.suse.de/feedback/
#

# neededforbuild  arts arts-devel audiofile autoconf automake esound esound-devel gdk-pixbuf gdk-pixbuf-devel glib glib-devel gnome-core gnome-core-devel gnome-libs gnome-libs-devel gtk gtk-devel imlib imlib-devel kdelibs3 kdelibs3-devel libgtop libgtop-devel libtool orbit orbit-devel xf86
# usedforbuild    aaa_base aaa_dir aaa_version base bash bindutil bison bzip cpio cpp cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gdbm-devel glibc glibc-devel glibc-locale gpm gppshare grep groff gzip kbd less m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam-devel pam-modules patch ps rcs readline sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim arts arts-devel audiofile autoconf automake binutils cracklib esound esound-devel gcc gdbm gdk-pixbuf gdk-pixbuf-devel gettext glib glib-devel gnome-core gnome-core-devel gnome-libs gnome-libs-devel gtk gtk-devel imlib imlib-devel kdelibs3 kdelibs3-devel libgtop libgtop-devel libtool libz orbit orbit-devel pam perl rpm xdevel xf86 xshared

Name:         gaim
Summary:      A client compatible with AOL's Instant Messenger
Version:      0.50
Release:      188
License:      GPL
Group:        Productivity/Networking/AOLInstantMessenger
Conflicts:    gaim-applet
URL:          http://www.marko.net/gaim/
Source:       ftp://ftp.marko.net/pub/gaim/%{name}-%{version}.tar.bz2
Patch:        gaim-0.50-secfix.diff
Patch1:       gaim-0.50-parseurl.diff
BuildRoot:    %{_tmppath}/%{name}-%{version}-build
%define prefix /opt/gnome
%define sysconfdir /etc%{prefix}

%description
Gaim allows you to talk to anyone using AOL's Instant Messenger service (you
can sign up at http://www.aim.aol.com).


It uses the TOC version of the AOL protocol, so your buddy list is stored on
AOL's servers and can be retrieved from anywhere.


It contains many of the same features as AOL's IM client while at the same
time incorporating many new features.


Gaim also contains a multiple connection feature which consists of protocol
plugins.  These plugins allow you to use gaim to connect to other chat
services such as Yahoo!, ICQ, and IRC.

Authors:
--------
    Eric Warmenhoven <warmenhoven@yahoo.com>
    Jim Duchek <jimduchek@ou.edu>
    Mark Spencer <markster@marko.net>
    Rob Flynn <rflynn@blueridge.net>

SuSE series: gnm

%package applet
Summary:      A client compatible with AOL's Instant Messenger (Applet)
Group:        Productivity/Networking/AOLInstantMessenger
Conflicts:    gaim

%description applet
Gaim allows you to talk to anyone using AOL's Instant Messenger service (you
can sign up at http://www.aim.aol.com).


It uses the TOC version of the AOL protocol, so your buddy list is stored on
AOL's servers and can be retrieved from anywhere.


It contains many of the same features as AOL's IM client while at the same
time incorporating many new features.


Gaim also contains a multiple connection feature which consists of protocol
plugins.  These plugins allow you to use gaim to connect to other chat
services such as Yahoo!, ICQ, and IRC.

The applet sits in your Gnome panel. It has all the same functionality as
the regular application but takes less desktop space.

Authors:
--------
    Eric Warmenhoven <warmenhoven@yahoo.com>
    Jim Duchek <jimduchek@ou.edu>
    Mark Spencer <markster@marko.net>
    Rob Flynn <rflynn@blueridge.net>

SuSE series: gnm

%prep
%setup
%patch
%patch1

%build
%{?suse_update_config:%{suse_update_config}}
libtoolize --force
aclocal -I m4
autoheader
automake -a 
autoconf
ARTSC_CONFIG=/opt/kde2/bin/artsc-config
export CFLAGS="$RPM_OPT_FLAGS -I/opt/gnome/include "
./configure --prefix=%{prefix} \
            --sysconfdir=%{sysconfdir} \
			--disable-gnome \
			--enable-artsc
make
[ "$RPM_BUILD_ROOT" != "/" ] && [ -d $RPM_BUILD_ROOT ] && rm -rf $RPM_BUILD_ROOT;
mkdir -p $RPM_BUILD_ROOT%{prefix}
make prefix=$RPM_BUILD_ROOT%{prefix} install-strip
make distclean
export CFLAGS="$RPM_OPT_FLAGS -I/opt/gnome/include" 
./configure --prefix=%{prefix} \
            --sysconfdir=%{sysconfdir} \
            --enable-panel
make

%install
make DESTDIR=$RPM_BUILD_ROOT prefix=%{prefix}\
     sysconfdir=%{sysconfdir} install-strip

%clean
[ "$RPM_BUILD_ROOT" != "/" ] && [ -d $RPM_BUILD_ROOT ] && rm -rf $RPM_BUILD_ROOT;

%files
%defattr(-,root,root)
%doc ChangeLog plugins/PERL-HOWTO HACKING
%doc NEWS COPYING AUTHORS doc/FAQ README 
%doc doc/the_penguin.txt doc/CREDITS
%attr(755,root,root) %{prefix}/bin/gaim
%attr(755,root,root) %{prefix}/lib/gaim/*
%{prefix}/share/gnome/apps/Internet/gaim.desktop
%{prefix}/share/locale/*/*/*
%{prefix}/share/pixmaps/gaim.xpm

%files applet
%defattr(-,root,root)
%doc ChangeLog plugins/PERL-HOWTO HACKING
%doc NEWS COPYING AUTHORS doc/FAQ README 
%doc doc/the_penguin.txt doc/CREDITS
%attr(755,root,root) %{prefix}/bin/gaim_applet
%attr(755,root,root) %{prefix}/lib/gaim/*
%{prefix}/share/applets/Network/*
%{prefix}/share/gnome/apps/Internet/gaim.desktop
%{prefix}/share/locale/*/*/*
%{prefix}/share/pixmaps/gaim.xpm
%{sysconfdir}/CORBA/servers/*

%changelog -n gaim
* Mon Feb 02 2004 - mmj@suse.de
- Fix insecure URL parsing [#34228]
* Wed Jan 28 2004 - mmj@suse.de
- Correct the patch
* Thu Jan 22 2004 - mmj@suse.de
- Close security holes in advisory from Stefan Esser [#33991]
* Fri Feb 15 2002 - ro@suse.de
- changed neededforbuild <kdelibs3-artsd> to <arts arts-devel>
* Fri Feb 08 2002 - hhetter@suse.de
- compile with CFLAGS for /opt/gnome/include
* Tue Jan 22 2002 - ro@suse.de
- changed neededforbuild <kdelibs-artsd> to <kdelibs3-artsd>
* Wed Dec 19 2001 - mem@suse.de
- Update to 0.50
* Wed Dec 05 2001 - mem@suse.de
- Update to 0.49
* Mon Nov 19 2001 - mem@suse.de
- Update to 0.48
* Tue Nov 06 2001 - mem@suse.de
- update to 0.47
- add 'libtoolize --force', 'aclocal -I m4', 'autoheader'
  'automake -a', and 'autoconf' to make it build
- fix list of %%doc files
- remove --enable-distrib (doesn't exist anymore)
- add --enable-panel when building applet version
* Fri Sep 07 2001 - grimmer@suse.de
- Update to 0.43
- now compile the standalone application with aRts support
* Wed Apr 04 2001 - grimmer@suse.de
- Update to 0.11.0pre9
- added subpackage "gaim-applet" which Conflicts with main package
- specfile fixes (taken over from original spec file)
* Tue Mar 20 2001 - hhetter@suse.de
- added esound-devel to neededforbuild
* Thu Nov 16 2000 - grimmer@suse.de
- new package (version 0.10.3)
